com.smartgwt.client.util.tour

## Class Tour

- java.lang.Object
- - com.smartgwt.client.core.BaseClass
  - - com.smartgwt.client.util.workflow.Process
    - - com.smartgwt.client.util.tour.Tour

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers, HasFinishedHandlers, HasTraceElementHandlers
  Direct Known Subclasses:
    Tutorial

      public class Tour
      extends Process

  The Tour class allows you to build tours and tutorials for end users, highlighting specific components on the page and prompting for specific user-interactions.

  Tours are a specific type of `Workflow Process` and consist of a series of `TourSteps`. Typically each step refers to an element on the page, which is either being highlighted for the user, or, for a tutorial, is an element that the user is being prompted to interact with (see TourStep.clickTarget, for example).

  Most steps have a TourWindow, which shows explanatory or instructional text. For tutorial steps that request a user action, the target can be highlighted and a large arrow is shown pointing at the target.

  The placement of the TourWindow and arrow is automatic, and intelligently takes into account the type of interaction requested. For example, if a tutorial requires a user to change a value in a SelectItem, the TourWindow and arrow will avoid appearing underneath the select, where they could be occluded by the drop-down picklist. Similarly, for a drag and drop interaction, the TourWindow avoids overlapping both the drag source and the drop area.

  Because of all this automatic behavior, a tutorial step typically consists of just:

  1. explanatory text (tourStep.title and tourStep.description)
  2. the target
  3. the expected interaction (eg click the target, or type something in, or drag something to another widget)
  4. validation of input (what was typed or chosen), if applicable

  Developers may use `AutoTest locators` to specify specific components or elements as action targets. Using locators means that tours and tutorials will typically still work even if your application changes (for example, new controls are added). Note that we recommend making use of the `locator shortcut` to rapidly generate locators.

  A tour is typically written as a `.proc.xml` document stored in the folder configured via the `project.processes` setting in `server.properties` (webroot/processes by default). They may be loaded via the `loadTour()` method.

  The Tour feature is available with Power or better licenses only See smartclient.com/product for details.
  It requires the standard DataBinding and `optional` `Tour` module.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.BaseClass

      `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tour()`
    `Tour(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.core.client.JavaScriptObject` | `create()`
    `boolean` | `getAllowDropOnDescendants()` Default value for `TourStep.allowDropOnDescendants` within this tour.
    `java.lang.Boolean` | `getAutoReset()` Should tour be auto-reset once it finishes in any manner so it can restarted?
    `java.lang.Boolean` | `getCanCancel()` Set to `false` to prevent tour steps from allowing the user to cancel the tour.
    `ProcessElement[]` | `getCancelSteps()` The `ProcessElement`s representing steps that should be performed if the user cancels the tour.
    `java.lang.String` | `getDropOutlineBorder()` Set the CSS border of the outline for drop targets as a CSS string including border-width, border-style, and/or color (eg "1px dashed blue").
    `java.lang.String` | `getFirstStepActionButtonTitle()` Default value of `TourStep.actionButtonTitle` for the first step in the tour.
    `java.lang.String` | `getFirstStepCancelButtonTitle()` Default value of `TourStep.cancelButtonTitle` for the first step in the tour.
    `java.lang.String` | `getLastStepActionButtonTitle()` Default value of `TourStep.actionButtonTitle` for the last step in the tour.
    `TourMode` | `getMode()` The tour mode allows step configuration to be simplified by using the context to apply appropriate defaults.
    `NotifySettings` | `getNotifyMessageSettings()` Defaults settings for `notifyType` message displayed by `notifyValidationMessage`.
    `java.lang.String` | `getNotifyType()` Category of message to use in +{notifyValidationMessage,notifyValidationMessage} by default.
    `static Tour` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.String` | `getOutlineBorder()` Set the CSS border of the outline of non-drop targets as a CSS string including border-width, border-style, and/or color (eg "1px dashed blue").
    `java.lang.Boolean` | `getShowCancelButton()` This property allows you to override the `TourWindow.showCancelButton` to hide the cancel button for all steps of the tour.
    `java.lang.Boolean` | `getShowInputValidationMessage()` Should `TourStep.inputValidationNotifyMessage` be shown as detailed in `TourInputValidationMode` for the entire tour? Set to `false` to suppress reporting messages to the user.
    `java.lang.Boolean` | `getShowProgress()` Should a progress bar be shown in each step to indicate progress through the tour?
    `java.lang.Boolean` | `getShowProgressPercent()` Show progress percent next to progress bar when `showProgress` is enabled?
    `java.lang.String` | `getStepActionButtonTitle()` Default value for `TourStep.actionButtonTitle` for steps other than the first and last ones.
    `java.lang.String` | `getStepCancelButtonPrompt()` Prompt displayed in hover for cancel button.
    `java.lang.String` | `getStepCancelButtonTitle()` Default value for `TourStep.cancelButtonTitle` for all steps where the cancel button is shown.
    `ProcessElement[]` | `getSteps()` The `ProcessElement`s representing steps in this tour.
    `static Tour` | `getTour(java.lang.String tourId)` Get a Tour instance by it's ID.
    `java.lang.String` | `getTourCompleteMakeChangesButtonTitle()` Title for the Make Changes... button in the TourComplete dialog.
    `java.lang.String` | `getTourCompleteRunTourButtonTitle()` Title for the View XML button in the TourComplete dialog.
    `java.lang.String` | `getTourCompleteTitle()` Title for the Tour Complete dialog displayed after recording a Tour.
    `java.lang.String` | `getTourCompleteTourIdTitle()` Title for the Tour ID field in the TourComplete dialog.
    `java.lang.String` | `getTourCompleteViewXMLButtonTitle()` Title for the View XML button in the TourComplete dialog.
    `java.lang.String` | `getTourStepWizardActionTypeTitle()` Title for the Action Type field in the TourStep Wizard.
    `java.lang.String` | `getTourStepWizardAutoCompletePrompt()` Prompt for the Auto Complete field in the TourStep Wizard.
    `java.lang.String` | `getTourStepWizardAutoCompleteTitle()` Title for the Auto Complete field in the TourStep Wizard.
    `java.lang.String` | `getTourStepWizardBindOutputHint()` Hint for the Bind Output field in the TourStep Wizard.
    `java.lang.String` | `getTourStepWizardBindOutputTitle()` Title for the Bind Output field in the TourStep Wizard.
    `java.lang.String` | `getTourStepWizardCaseSensitiveTitle()` Title for the Case Sensitive field in the TourStep Wizard.
    `java.lang.String` | `getTourStepWizardDoneButtonTitle()` Title for the Done button in the TourStep Wizard.
    `java.lang.String` | `getTourStepWizardDropTargetHint()` Hint for the Drop Target field in the TourStep Wizard.
    `java.lang.String` | `getTourStepWizardDropTargetNotifyText()` Descriptive text displayed in a popup `notification window` when a Drop Target is selected for this TourStep.
    `java.lang.String` | `getTourStepWizardDropTargetPrompt()` Prompt for the Drop Target field in the TourStep Wizard.
    `java.lang.String` | `getTourStepWizardDropTargetTitle()` Title for the Drop Target field in the TourStep Wizard.
    `java.lang.String` | `getTourStepWizardExpectedValueHint()` Hint for the Expected Value field in the TourStep Wizard.
    `java.lang.String` | `getTourStepWizardExpectedValueTitle()` Title for the Expected Value field in the TourStep Wizard.
    `java.lang.String` | `getTourStepWizardInstructionsTitle()` Title for the Instructions field in the TourStep Wizard.
    `java.lang.String` | `getTourStepWizardNextStepButtonTitle()` Title for the Next Step button in the TourStep Wizard.
    `java.lang.String` | `getTourStepWizardNoStepsMessage()` Empty message for the grid in the Tour Wizard when no steps are present.
    `java.lang.String` | `getTourStepWizardRecordStepHeaderPrompt()` Prompt for the Record Step window header in the TourStep Wizard.
    `java.lang.String` | `getTourStepWizardRecordStepTitle()` Title for the Record Tour Step window in the TourStep Wizard.
    `java.lang.String` | `getTourStepWizardTargeNotifyText()` Descriptive text displayed in a popup `notification window` when a Target is selected for this TourStep.
    `java.lang.String` | `getTourStepWizardTargePrompt()` Prompt for the Target field in the TourStep Wizard.
    `java.lang.String` | `getTourStepWizardTargetTitle()` Title for the Target field in the TourStep Wizard.
    `java.lang.String` | `getTourStepWizardTitle()` Title for the TourStep Title field in the TourStep Wizard.
    `java.lang.String` | `getTourWizardInteractiveTourTitle()` Title for the interactive Tutorial option in the Tour Type picker in the Tour Wizard.
    `java.lang.String` | `getTourWizardNewScreenPickerTitle()` Title for the Start with New Screen picker in the Tour Wizard.
    `java.lang.String` | `getTourWizardRecordButtonTitle()` Title for the Record Tour button in the Tour Wizard.
    `java.lang.String` | `getTourWizardReifyTourTitle()` Title for the Reify Tutorial option in the Tour Type picker in the Tour Wizard.
    `java.lang.String` | `getTourWizardRequiredDataSourcesHint()` Hint text for the Required DataSources item in the Tour Wizard.
    `java.lang.String` | `getTourWizardRequiredDataSourcesTitle()` Title for the Required DataSources item in the Tour Wizard.
    `java.lang.String` | `getTourWizardShowProgressTitle()` Title for the Show Progress picker in the Tour Wizard.
    `java.lang.String` | `getTourWizardTitle()` Title for the Tour Wizard.
    `java.lang.String` | `getTourWizardTourTypeTitle()` Title for the Tour Type picker in the Tour Wizard.
    `java.lang.String` | `getTourWizardUITourTitle()` Title for the non-interactive UI Tour option in the Tour Type picker in the Tour Wizard.
    `Canvas` | `getWindowDefaults()` Defaults for each `TourStep.targetView` autoChild in the tour.
    `static void` | `loadTour(java.lang.String tourId, ProcessCallback callback)` Loads an XML tour definition stored in XML from the server.
    `void` | `notifyValidationMessage(java.lang.String message)` Notify user of expected value entry validation message.
    `Tour` | `setAllowDropOnDescendants(boolean allowDropOnDescendants)` Default value for `TourStep.allowDropOnDescendants` within this tour.
    `Tour` | `setAutoReset(java.lang.Boolean autoReset)` Should tour be auto-reset once it finishes in any manner so it can restarted?
    `Tour` | `setCanCancel(java.lang.Boolean canCancel)` Set to `false` to prevent tour steps from allowing the user to cancel the tour.
    `Tour` | `setCancelSteps(ProcessElement... cancelSteps)` The `ProcessElement`s representing steps that should be performed if the user cancels the tour.
    `Tour` | `setDropOutlineBorder(java.lang.String dropOutlineBorder)` Set the CSS border of the outline for drop targets as a CSS string including border-width, border-style, and/or color (eg "1px dashed blue").
    `Tour` | `setFirstStepActionButtonTitle(java.lang.String firstStepActionButtonTitle)` Default value of `TourStep.actionButtonTitle` for the first step in the tour.
    `Tour` | `setFirstStepCancelButtonTitle(java.lang.String firstStepCancelButtonTitle)` Default value of `TourStep.cancelButtonTitle` for the first step in the tour.
    `Tour` | `setLastStepActionButtonTitle(java.lang.String lastStepActionButtonTitle)` Default value of `TourStep.actionButtonTitle` for the last step in the tour.
    `Tour` | `setMode(TourMode mode)` The tour mode allows step configuration to be simplified by using the context to apply appropriate defaults.
    `Tour` | `setNotifyMessageSettings(NotifySettings notifyMessageSettings)` Defaults settings for `notifyType` message displayed by `notifyValidationMessage`.
    `Tour` | `setNotifyType(java.lang.String notifyType)` Category of message to use in +{notifyValidationMessage,notifyValidationMessage} by default.
    `Tour` | `setOutlineBorder(java.lang.String outlineBorder)` Set the CSS border of the outline of non-drop targets as a CSS string including border-width, border-style, and/or color (eg "1px dashed blue").
    `Tour` | `setShowCancelButton(java.lang.Boolean showCancelButton)` This property allows you to override the `TourWindow.showCancelButton` to hide the cancel button for all steps of the tour.
    `Tour` | `setShowInputValidationMessage(java.lang.Boolean showInputValidationMessage)` Should `TourStep.inputValidationNotifyMessage` be shown as detailed in `TourInputValidationMode` for the entire tour? Set to `false` to suppress reporting messages to the user.
    `Tour` | `setShowProgress(java.lang.Boolean showProgress)` Should a progress bar be shown in each step to indicate progress through the tour?
    `Tour` | `setShowProgressPercent(java.lang.Boolean showProgressPercent)` Show progress percent next to progress bar when `showProgress` is enabled?
    `Tour` | `setStepActionButtonTitle(java.lang.String stepActionButtonTitle)` Default value for `TourStep.actionButtonTitle` for steps other than the first and last ones.
    `Tour` | `setStepCancelButtonPrompt(java.lang.String stepCancelButtonPrompt)` Prompt displayed in hover for cancel button.
    `Tour` | `setStepCancelButtonTitle(java.lang.String stepCancelButtonTitle)` Default value for `TourStep.cancelButtonTitle` for all steps where the cancel button is shown.
    `Tour` | `setSteps(ProcessElement... steps)` The `ProcessElement`s representing steps in this tour.
    `Tour` | `setTourCompleteMakeChangesButtonTitle(java.lang.String tourCompleteMakeChangesButtonTitle)` Title for the Make Changes... button in the TourComplete dialog.
    `Tour` | `setTourCompleteRunTourButtonTitle(java.lang.String tourCompleteRunTourButtonTitle)` Title for the View XML button in the TourComplete dialog.
    `Tour` | `setTourCompleteTitle(java.lang.String tourCompleteTitle)` Title for the Tour Complete dialog displayed after recording a Tour.
    `Tour` | `setTourCompleteTourIdTitle(java.lang.String tourCompleteTourIdTitle)` Title for the Tour ID field in the TourComplete dialog.
    `Tour` | `setTourCompleteViewXMLButtonTitle(java.lang.String tourCompleteViewXMLButtonTitle)` Title for the View XML button in the TourComplete dialog.
    `Tour` | `setTourStepWizardActionTypeTitle(java.lang.String tourStepWizardActionTypeTitle)` Title for the Action Type field in the TourStep Wizard.
    `Tour` | `setTourStepWizardAutoCompletePrompt(java.lang.String tourStepWizardAutoCompletePrompt)` Prompt for the Auto Complete field in the TourStep Wizard.
    `Tour` | `setTourStepWizardAutoCompleteTitle(java.lang.String tourStepWizardAutoCompleteTitle)` Title for the Auto Complete field in the TourStep Wizard.
    `Tour` | `setTourStepWizardBindOutputHint(java.lang.String tourStepWizardBindOutputHint)` Hint for the Bind Output field in the TourStep Wizard.
    `Tour` | `setTourStepWizardBindOutputTitle(java.lang.String tourStepWizardBindOutputTitle)` Title for the Bind Output field in the TourStep Wizard.
    `Tour` | `setTourStepWizardCaseSensitiveTitle(java.lang.String tourStepWizardCaseSensitiveTitle)` Title for the Case Sensitive field in the TourStep Wizard.
    `Tour` | `setTourStepWizardDoneButtonTitle(java.lang.String tourStepWizardDoneButtonTitle)` Title for the Done button in the TourStep Wizard.
    `Tour` | `setTourStepWizardDropTargetHint(java.lang.String tourStepWizardDropTargetHint)` Hint for the Drop Target field in the TourStep Wizard.
    `Tour` | `setTourStepWizardDropTargetNotifyText(java.lang.String tourStepWizardDropTargetNotifyText)` Descriptive text displayed in a popup `notification window` when a Drop Target is selected for this TourStep.
    `Tour` | `setTourStepWizardDropTargetPrompt(java.lang.String tourStepWizardDropTargetPrompt)` Prompt for the Drop Target field in the TourStep Wizard.
    `Tour` | `setTourStepWizardDropTargetTitle(java.lang.String tourStepWizardDropTargetTitle)` Title for the Drop Target field in the TourStep Wizard.
    `Tour` | `setTourStepWizardExpectedValueHint(java.lang.String tourStepWizardExpectedValueHint)` Hint for the Expected Value field in the TourStep Wizard.
    `Tour` | `setTourStepWizardExpectedValueTitle(java.lang.String tourStepWizardExpectedValueTitle)` Title for the Expected Value field in the TourStep Wizard.
    `Tour` | `setTourStepWizardInstructionsTitle(java.lang.String tourStepWizardInstructionsTitle)` Title for the Instructions field in the TourStep Wizard.
    `Tour` | `setTourStepWizardNextStepButtonTitle(java.lang.String tourStepWizardNextStepButtonTitle)` Title for the Next Step button in the TourStep Wizard.
    `Tour` | `setTourStepWizardNoStepsMessage(java.lang.String tourStepWizardNoStepsMessage)` Empty message for the grid in the Tour Wizard when no steps are present.
    `Tour` | `setTourStepWizardRecordStepHeaderPrompt(java.lang.String tourStepWizardRecordStepHeaderPrompt)` Prompt for the Record Step window header in the TourStep Wizard.
    `Tour` | `setTourStepWizardRecordStepTitle(java.lang.String tourStepWizardRecordStepTitle)` Title for the Record Tour Step window in the TourStep Wizard.
    `Tour` | `setTourStepWizardTargeNotifyText(java.lang.String tourStepWizardTargeNotifyText)` Descriptive text displayed in a popup `notification window` when a Target is selected for this TourStep.
    `Tour` | `setTourStepWizardTargePrompt(java.lang.String tourStepWizardTargePrompt)` Prompt for the Target field in the TourStep Wizard.
    `Tour` | `setTourStepWizardTargetTitle(java.lang.String tourStepWizardTargetTitle)` Title for the Target field in the TourStep Wizard.
    `Tour` | `setTourStepWizardTitle(java.lang.String tourStepWizardTitle)` Title for the TourStep Title field in the TourStep Wizard.
    `Tour` | `setTourWizardInteractiveTourTitle(java.lang.String tourWizardInteractiveTourTitle)` Title for the interactive Tutorial option in the Tour Type picker in the Tour Wizard.
    `Tour` | `setTourWizardNewScreenPickerTitle(java.lang.String tourWizardNewScreenPickerTitle)` Title for the Start with New Screen picker in the Tour Wizard.
    `Tour` | `setTourWizardRecordButtonTitle(java.lang.String tourWizardRecordButtonTitle)` Title for the Record Tour button in the Tour Wizard.
    `Tour` | `setTourWizardReifyTourTitle(java.lang.String tourWizardReifyTourTitle)` Title for the Reify Tutorial option in the Tour Type picker in the Tour Wizard.
    `Tour` | `setTourWizardRequiredDataSourcesHint(java.lang.String tourWizardRequiredDataSourcesHint)` Hint text for the Required DataSources item in the Tour Wizard.
    `Tour` | `setTourWizardRequiredDataSourcesTitle(java.lang.String tourWizardRequiredDataSourcesTitle)` Title for the Required DataSources item in the Tour Wizard.
    `Tour` | `setTourWizardShowProgressTitle(java.lang.String tourWizardShowProgressTitle)` Title for the Show Progress picker in the Tour Wizard.
    `Tour` | `setTourWizardTitle(java.lang.String tourWizardTitle)` Title for the Tour Wizard.
    `Tour` | `setTourWizardTourTypeTitle(java.lang.String tourWizardTourTypeTitle)` Title for the Tour Type picker in the Tour Wizard.
    `Tour` | `setTourWizardUITourTitle(java.lang.String tourWizardUITourTitle)` Title for the non-interactive UI Tour option in the Tour Type picker in the Tour Wizard.
    `Tour` | `setWindowDefaults(Canvas windowDefaults)` Defaults for each `TourStep.targetView` autoChild in the tour.

    - ### Methods inherited from class com.smartgwt.client.util.workflow.Process

      `addFinishedHandler, addTraceElementHandler, getComponentReferences, getContainerId, getDefaultWaitDuration, getDefaultWaitFor, getElement, getElements, getJsObj, getLastTaskOutput, getLastTaskOutput, getMockMode, getOrCreateJsObj, getProcess, getProcessDescription, getProcessElements, getRuleScope, getSequences, getStartElement, getState, getStateVariable, getTraceContext, getWizard, isCreated, loadProcess, onInit, passThruTaskOutput, reset, reset, setAttribute, setConfig, setContainerId, setDefaultWaitDuration, setDefaultWaitFor, setElements, setJavaScriptObject, setMockMode, setNextElement, setNextElement, setRuleScope, setSequences, setStartElement, setStartElement, setState, setStateVariable, setTaskOutput, setTraceContext, setWizard, start`

    - ### Methods inherited from class com.smartgwt.client.core.BaseClass

      `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getID, getRef, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfigOnly, setFactoryCreated, setID, setProperty, setProperty, setProperty, setProperty, setScClassName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### Tour

          public Tour()

    - #### Tour

          public Tour(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static Tour getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### create

          public com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `Process`

    - #### setAllowDropOnDescendants

          public Tour setAllowDropOnDescendants(boolean allowDropOnDescendants)

      Default value for `TourStep.allowDropOnDescendants` within this tour.
      Parameters:
        `allowDropOnDescendants` - New allowDropOnDescendants value. Default value is false
      Returns:
        `Tour` instance, for chaining setter calls

    - #### getAllowDropOnDescendants

          public boolean getAllowDropOnDescendants()

      Default value for `TourStep.allowDropOnDescendants` within this tour.
      Returns:
        Current allowDropOnDescendants value. Default value is false

    - #### setAutoReset

          public Tour setAutoReset(java.lang.Boolean autoReset)
                            throws java.lang.IllegalStateException

      Should tour be auto-reset once it finishes in any manner so it can restarted?
      Parameters:
        `autoReset` - New autoReset value. Default value is true
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getAutoReset

          public java.lang.Boolean getAutoReset()

      Should tour be auto-reset once it finishes in any manner so it can restarted?
      Returns:
        Current autoReset value. Default value is true

    - #### setCanCancel

          public Tour setCanCancel(java.lang.Boolean canCancel)
                            throws java.lang.IllegalStateException

      Set to `false` to prevent tour steps from allowing the user to cancel the tour. By default the cancel button will still be shown but is disabled. Set `showCancelButton` to false to suppress the cancel button entirely.

      Any time the cancel button is visible, its hover can be customized via `stepCancelButtonPrompt`. For `canCancel:false` tours where the cancel button is not hidden, a custom prompt may be useful to provide an explanation to the user as the tour can't be canceled.

      Parameters:
        `canCancel` - New canCancel value. Default value is null
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getCanCancel

          public java.lang.Boolean getCanCancel()

      Set to `false` to prevent tour steps from allowing the user to cancel the tour. By default the cancel button will still be shown but is disabled. Set `showCancelButton` to false to suppress the cancel button entirely.

      Any time the cancel button is visible, its hover can be customized via `stepCancelButtonPrompt`. For `canCancel:false` tours where the cancel button is not hidden, a custom prompt may be useful to provide an explanation to the user as the tour can't be canceled.

      Returns:
        Current canCancel value. Default value is null

    - #### setCancelSteps

          public Tour setCancelSteps(ProcessElement... cancelSteps)
                              throws java.lang.IllegalStateException

      The `ProcessElement`s representing steps that should be performed if the user cancels the tour. These steps are typically `TourStep`s.

      Alternately, or in addition to these cancelation steps, the `finished` method will be called once there are no more steps to process in the tour.

      Parameters:
        `cancelSteps` - New cancelSteps value. Default value is null
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getCancelSteps

          public ProcessElement[] getCancelSteps()

      The `ProcessElement`s representing steps that should be performed if the user cancels the tour. These steps are typically `TourStep`s.

      Alternately, or in addition to these cancelation steps, the `finished` method will be called once there are no more steps to process in the tour.

      Returns:
        Current cancelSteps value. Default value is null

    - #### setDropOutlineBorder

          public Tour setDropOutlineBorder(java.lang.String dropOutlineBorder)

      Set the CSS border of the outline for drop targets as a CSS string including border-width, border-style, and/or color (eg "1px dashed blue"). See `outlineBorder` for properties applied to non-drop targets.

      This property applies the same border to all four sides of the outlined component(s).

      Parameters:
        `dropOutlineBorder` - New dropOutlineBorder value. Default value is "1px solid #44ff44"
      Returns:
        `Tour` instance, for chaining setter calls
      See Also:
        `setOutlineBorder(java.lang.String)`

    - #### getDropOutlineBorder

          public java.lang.String getDropOutlineBorder()

      Set the CSS border of the outline for drop targets as a CSS string including border-width, border-style, and/or color (eg "1px dashed blue"). See `outlineBorder` for properties applied to non-drop targets.

      This property applies the same border to all four sides of the outlined component(s).

      Returns:
        Current dropOutlineBorder value. Default value is "1px solid #44ff44"
      See Also:
        `getOutlineBorder()`

    - #### setFirstStepActionButtonTitle

          public Tour setFirstStepActionButtonTitle(java.lang.String firstStepActionButtonTitle)
                                             throws java.lang.IllegalStateException

      Default value of `TourStep.actionButtonTitle` for the first step in the tour.

      Default titles for the middle and last steps are configured by `stepActionButtonTitle` and `lastStepActionButtonTitle` respectively.

      Parameters:
        `firstStepActionButtonTitle` - New firstStepActionButtonTitle value. Default value is "Let's go!"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getFirstStepActionButtonTitle

          public java.lang.String getFirstStepActionButtonTitle()

      Default value of `TourStep.actionButtonTitle` for the first step in the tour.

      Default titles for the middle and last steps are configured by `stepActionButtonTitle` and `lastStepActionButtonTitle` respectively.

      Returns:
        Current firstStepActionButtonTitle value. Default value is "Let's go!"
      See Also:
        `HTMLString`

    - #### setFirstStepCancelButtonTitle

          public Tour setFirstStepCancelButtonTitle(java.lang.String firstStepCancelButtonTitle)
                                             throws java.lang.IllegalStateException

      Default value of `TourStep.cancelButtonTitle` for the first step in the tour.

      Default title for the middle steps is configured by `stepCancelButtonTitle`. No cancel button is shown for the last step.

      Parameters:
        `firstStepCancelButtonTitle` - New firstStepCancelButtonTitle value. Default value is "Skip this tour"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getFirstStepCancelButtonTitle

          public java.lang.String getFirstStepCancelButtonTitle()

      Default value of `TourStep.cancelButtonTitle` for the first step in the tour.

      Default title for the middle steps is configured by `stepCancelButtonTitle`. No cancel button is shown for the last step.

      Returns:
        Current firstStepCancelButtonTitle value. Default value is "Skip this tour"
      See Also:
        `HTMLString`

    - #### setLastStepActionButtonTitle

          public Tour setLastStepActionButtonTitle(java.lang.String lastStepActionButtonTitle)
                                            throws java.lang.IllegalStateException

      Default value of `TourStep.actionButtonTitle` for the last step in the tour.

      Default titles for the first and middle steps are configured by `firstStepActionButtonTitle` and `stepActionButtonTitle` respectively.

      Parameters:
        `lastStepActionButtonTitle` - New lastStepActionButtonTitle value. Default value is "Done"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getLastStepActionButtonTitle

          public java.lang.String getLastStepActionButtonTitle()

      Default value of `TourStep.actionButtonTitle` for the last step in the tour.

      Default titles for the first and middle steps are configured by `firstStepActionButtonTitle` and `stepActionButtonTitle` respectively.

      Returns:
        Current lastStepActionButtonTitle value. Default value is "Done"
      See Also:
        `HTMLString`

    - #### setMode

          public Tour setMode(TourMode mode)

      The tour mode allows step configuration to be simplified by using the context to apply appropriate defaults.
      Parameters:
        `mode` - New mode value. Default value is "tour"
      Returns:
        `Tour` instance, for chaining setter calls

    - #### getMode

          public TourMode getMode()

      The tour mode allows step configuration to be simplified by using the context to apply appropriate defaults.
      Returns:
        Current mode value. Default value is "tour"

    - #### setNotifyMessageSettings

          public Tour setNotifyMessageSettings(NotifySettings notifyMessageSettings)
                                        throws java.lang.IllegalStateException

      Defaults settings for `notifyType` message displayed by `notifyValidationMessage`.
      Parameters:
        `notifyMessageSettings` - New notifyMessageSettings value. Default value is null
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getNotifyMessageSettings

          public NotifySettings getNotifyMessageSettings()

      Defaults settings for `notifyType` message displayed by `notifyValidationMessage`.
      Returns:
        Current notifyMessageSettings value. Default value is null

    - #### setNotifyType

          public Tour setNotifyType(java.lang.String notifyType)
                             throws java.lang.IllegalStateException

      Category of message to use in +{notifyValidationMessage,notifyValidationMessage} by default.

      If this category has not been configured in `Notify` it will be automatically configured using +{notifyMessageSettings,notifyMessageSettings}.

      Parameters:
        `notifyType` - New notifyType value. Default value is "tourExpectedValue"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `NotifyType`

    - #### getNotifyType

          public java.lang.String getNotifyType()

      Category of message to use in +{notifyValidationMessage,notifyValidationMessage} by default.

      If this category has not been configured in `Notify` it will be automatically configured using +{notifyMessageSettings,notifyMessageSettings}.

      Returns:
        Current notifyType value. Default value is "tourExpectedValue"
      See Also:
        `NotifyType`

    - #### setOutlineBorder

          public Tour setOutlineBorder(java.lang.String outlineBorder)

      Set the CSS border of the outline of non-drop targets as a CSS string including border-width, border-style, and/or color (eg "1px dashed blue"). See `dropOutlineBorder` for properties applied to drop targets.

      This property applies the same border to all four sides of the outlined component(s).

      Parameters:
        `outlineBorder` - New outlineBorder value. Default value is "1px solid red"
      Returns:
        `Tour` instance, for chaining setter calls
      See Also:
        `setDropOutlineBorder(java.lang.String)`

    - #### getOutlineBorder

          public java.lang.String getOutlineBorder()

      Set the CSS border of the outline of non-drop targets as a CSS string including border-width, border-style, and/or color (eg "1px dashed blue"). See `dropOutlineBorder` for properties applied to drop targets.

      This property applies the same border to all four sides of the outlined component(s).

      Returns:
        Current outlineBorder value. Default value is "1px solid red"
      See Also:
        `getDropOutlineBorder()`

    - #### setShowCancelButton

          public Tour setShowCancelButton(java.lang.Boolean showCancelButton)
                                   throws java.lang.IllegalStateException

      This property allows you to override the `TourWindow.showCancelButton` to hide the cancel button for all steps of the tour.

      See also `canCancel`

      Parameters:
        `showCancelButton` - New showCancelButton value. Default value is null
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getShowCancelButton

          public java.lang.Boolean getShowCancelButton()

      This property allows you to override the `TourWindow.showCancelButton` to hide the cancel button for all steps of the tour.

      See also `canCancel`

      Returns:
        Current showCancelButton value. Default value is null

    - #### setShowInputValidationMessage

          public Tour setShowInputValidationMessage(java.lang.Boolean showInputValidationMessage)
                                             throws java.lang.IllegalStateException

      Should `TourStep.inputValidationNotifyMessage` be shown as detailed in `TourInputValidationMode` for the entire tour? Set to `false` to suppress reporting messages to the user. `notifyValidationMessage` will not be called.

      This setting can be overridden for individual `tourSteps`.

      Parameters:
        `showInputValidationMessage` - New showInputValidationMessage value. Default value is null
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getShowInputValidationMessage

          public java.lang.Boolean getShowInputValidationMessage()

      Should `TourStep.inputValidationNotifyMessage` be shown as detailed in `TourInputValidationMode` for the entire tour? Set to `false` to suppress reporting messages to the user. `notifyValidationMessage` will not be called.

      This setting can be overridden for individual `tourSteps`.

      Returns:
        Current showInputValidationMessage value. Default value is null

    - #### setShowProgress

          public Tour setShowProgress(java.lang.Boolean showProgress)
                               throws java.lang.IllegalStateException

      Should a progress bar be shown in each step to indicate progress through the tour?
      Parameters:
        `showProgress` - New showProgress value. Default value is null
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getShowProgress

          public java.lang.Boolean getShowProgress()

      Should a progress bar be shown in each step to indicate progress through the tour?
      Returns:
        Current showProgress value. Default value is null

    - #### setShowProgressPercent

          public Tour setShowProgressPercent(java.lang.Boolean showProgressPercent)
                                      throws java.lang.IllegalStateException

      Show progress percent next to progress bar when `showProgress` is enabled?
      Parameters:
        `showProgressPercent` - New showProgressPercent value. Default value is null
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getShowProgressPercent

          public java.lang.Boolean getShowProgressPercent()

      Show progress percent next to progress bar when `showProgress` is enabled?
      Returns:
        Current showProgressPercent value. Default value is null

    - #### setStepActionButtonTitle

          public Tour setStepActionButtonTitle(java.lang.String stepActionButtonTitle)
                                        throws java.lang.IllegalStateException

      Default value for `TourStep.actionButtonTitle` for steps other than the first and last ones.

      Default titles for the first and last steps are configured by `firstStepActionButtonTitle` and `lastStepActionButtonTitle` respectively.

      Parameters:
        `stepActionButtonTitle` - New stepActionButtonTitle value. Default value is "Next"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `setStepCancelButtonTitle(java.lang.String)`, `HTMLString`

    - #### getStepActionButtonTitle

          public java.lang.String getStepActionButtonTitle()

      Default value for `TourStep.actionButtonTitle` for steps other than the first and last ones.

      Default titles for the first and last steps are configured by `firstStepActionButtonTitle` and `lastStepActionButtonTitle` respectively.

      Returns:
        Current stepActionButtonTitle value. Default value is "Next"
      See Also:
        `getStepCancelButtonTitle()`, `HTMLString`

    - #### setStepCancelButtonPrompt

          public Tour setStepCancelButtonPrompt(java.lang.String stepCancelButtonPrompt)
                                         throws java.lang.IllegalStateException

      Prompt displayed in hover for cancel button.
      Parameters:
        `stepCancelButtonPrompt` - New stepCancelButtonPrompt value. Default value is null
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getStepCancelButtonPrompt

          public java.lang.String getStepCancelButtonPrompt()

      Prompt displayed in hover for cancel button.
      Returns:
        Current stepCancelButtonPrompt value. Default value is null
      See Also:
        `HTMLString`

    - #### setStepCancelButtonTitle

          public Tour setStepCancelButtonTitle(java.lang.String stepCancelButtonTitle)
                                        throws java.lang.IllegalStateException

      Default value for `TourStep.cancelButtonTitle` for all steps where the cancel button is shown.

      Default title for the first step is configured by `firstStepCancelButtonTitle`.

      Parameters:
        `stepCancelButtonTitle` - New stepCancelButtonTitle value. Default value is "Skip this tour"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `setStepActionButtonTitle(java.lang.String)`, `HTMLString`

    - #### getStepCancelButtonTitle

          public java.lang.String getStepCancelButtonTitle()

      Default value for `TourStep.cancelButtonTitle` for all steps where the cancel button is shown.

      Default title for the first step is configured by `firstStepCancelButtonTitle`.

      Returns:
        Current stepCancelButtonTitle value. Default value is "Skip this tour"
      See Also:
        `getStepActionButtonTitle()`, `HTMLString`

    - #### setSteps

          public Tour setSteps(ProcessElement... steps)
                        throws java.lang.IllegalStateException

      The `ProcessElement`s representing steps in this tour. These steps are typically `TourStep`s.
      Parameters:
        `steps` - New steps value. Default value is null
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getSteps

          public ProcessElement[] getSteps()

      The `ProcessElement`s representing steps in this tour. These steps are typically `TourStep`s.
      Returns:
        Current steps value. Default value is null

    - #### setTourCompleteMakeChangesButtonTitle

          public Tour setTourCompleteMakeChangesButtonTitle(java.lang.String tourCompleteMakeChangesButtonTitle)
                                                     throws java.lang.IllegalStateException

      Title for the Make Changes... button in the TourComplete dialog.
      Parameters:
        `tourCompleteMakeChangesButtonTitle` - New tourCompleteMakeChangesButtonTitle value. Default value is "Make Changes..."
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourCompleteMakeChangesButtonTitle

          public java.lang.String getTourCompleteMakeChangesButtonTitle()

      Title for the Make Changes... button in the TourComplete dialog.
      Returns:
        Current tourCompleteMakeChangesButtonTitle value. Default value is "Make Changes..."
      See Also:
        `HTMLString`

    - #### setTourCompleteRunTourButtonTitle

          public Tour setTourCompleteRunTourButtonTitle(java.lang.String tourCompleteRunTourButtonTitle)
                                                 throws java.lang.IllegalStateException

      Title for the View XML button in the TourComplete dialog.
      Parameters:
        `tourCompleteRunTourButtonTitle` - New tourCompleteRunTourButtonTitle value. Default value is "Run Tour"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourCompleteRunTourButtonTitle

          public java.lang.String getTourCompleteRunTourButtonTitle()

      Title for the View XML button in the TourComplete dialog.
      Returns:
        Current tourCompleteRunTourButtonTitle value. Default value is "Run Tour"
      See Also:
        `HTMLString`

    - #### setTourCompleteTitle

          public Tour setTourCompleteTitle(java.lang.String tourCompleteTitle)
                                    throws java.lang.IllegalStateException

      Title for the Tour Complete dialog displayed after recording a Tour.
      Parameters:
        `tourCompleteTitle` - New tourCompleteTitle value. Default value is "New Tour Recording Complete"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourCompleteTitle

          public java.lang.String getTourCompleteTitle()

      Title for the Tour Complete dialog displayed after recording a Tour.
      Returns:
        Current tourCompleteTitle value. Default value is "New Tour Recording Complete"
      See Also:
        `HTMLString`

    - #### setTourCompleteTourIdTitle

          public Tour setTourCompleteTourIdTitle(java.lang.String tourCompleteTourIdTitle)
                                          throws java.lang.IllegalStateException

      Title for the Tour ID field in the TourComplete dialog.
      Parameters:
        `tourCompleteTourIdTitle` - New tourCompleteTourIdTitle value. Default value is "Tour ID"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourCompleteTourIdTitle

          public java.lang.String getTourCompleteTourIdTitle()

      Title for the Tour ID field in the TourComplete dialog.
      Returns:
        Current tourCompleteTourIdTitle value. Default value is "Tour ID"
      See Also:
        `HTMLString`

    - #### setTourCompleteViewXMLButtonTitle

          public Tour setTourCompleteViewXMLButtonTitle(java.lang.String tourCompleteViewXMLButtonTitle)
                                                 throws java.lang.IllegalStateException

      Title for the View XML button in the TourComplete dialog.
      Parameters:
        `tourCompleteViewXMLButtonTitle` - New tourCompleteViewXMLButtonTitle value. Default value is "View XML"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourCompleteViewXMLButtonTitle

          public java.lang.String getTourCompleteViewXMLButtonTitle()

      Title for the View XML button in the TourComplete dialog.
      Returns:
        Current tourCompleteViewXMLButtonTitle value. Default value is "View XML"
      See Also:
        `HTMLString`

    - #### setTourStepWizardActionTypeTitle

          public Tour setTourStepWizardActionTypeTitle(java.lang.String tourStepWizardActionTypeTitle)
                                                throws java.lang.IllegalStateException

      Title for the Action Type field in the TourStep Wizard.
      Parameters:
        `tourStepWizardActionTypeTitle` - New tourStepWizardActionTypeTitle value. Default value is "Action Type"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourStepWizardActionTypeTitle

          public java.lang.String getTourStepWizardActionTypeTitle()

      Title for the Action Type field in the TourStep Wizard.
      Returns:
        Current tourStepWizardActionTypeTitle value. Default value is "Action Type"
      See Also:
        `HTMLString`

    - #### setTourStepWizardAutoCompletePrompt

          public Tour setTourStepWizardAutoCompletePrompt(java.lang.String tourStepWizardAutoCompletePrompt)
                                                   throws java.lang.IllegalStateException

      Prompt for the Auto Complete field in the TourStep Wizard.
      Parameters:
        `tourStepWizardAutoCompletePrompt` - New tourStepWizardAutoCompletePrompt value. Default value is "Should the tour move forward when the user completes the chosen action?"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourStepWizardAutoCompletePrompt

          public java.lang.String getTourStepWizardAutoCompletePrompt()

      Prompt for the Auto Complete field in the TourStep Wizard.
      Returns:
        Current tourStepWizardAutoCompletePrompt value. Default value is "Should the tour move forward when the user completes the chosen action?"
      See Also:
        `HTMLString`

    - #### setTourStepWizardAutoCompleteTitle

          public Tour setTourStepWizardAutoCompleteTitle(java.lang.String tourStepWizardAutoCompleteTitle)
                                                  throws java.lang.IllegalStateException

      Title for the Auto Complete field in the TourStep Wizard.
      Parameters:
        `tourStepWizardAutoCompleteTitle` - New tourStepWizardAutoCompleteTitle value. Default value is "Auto Complete"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourStepWizardAutoCompleteTitle

          public java.lang.String getTourStepWizardAutoCompleteTitle()

      Title for the Auto Complete field in the TourStep Wizard.
      Returns:
        Current tourStepWizardAutoCompleteTitle value. Default value is "Auto Complete"
      See Also:
        `HTMLString`

    - #### setTourStepWizardBindOutputHint

          public Tour setTourStepWizardBindOutputHint(java.lang.String tourStepWizardBindOutputHint)
                                               throws java.lang.IllegalStateException

      Hint for the Bind Output field in the TourStep Wizard.
      Parameters:
        `tourStepWizardBindOutputHint` - New tourStepWizardBindOutputHint value. Default value is "Bind to variable for later use"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourStepWizardBindOutputHint

          public java.lang.String getTourStepWizardBindOutputHint()

      Hint for the Bind Output field in the TourStep Wizard.
      Returns:
        Current tourStepWizardBindOutputHint value. Default value is "Bind to variable for later use"
      See Also:
        `HTMLString`

    - #### setTourStepWizardBindOutputTitle

          public Tour setTourStepWizardBindOutputTitle(java.lang.String tourStepWizardBindOutputTitle)
                                                throws java.lang.IllegalStateException

      Title for the Bind Output field in the TourStep Wizard.
      Parameters:
        `tourStepWizardBindOutputTitle` - New tourStepWizardBindOutputTitle value. Default value is "Bind Output"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourStepWizardBindOutputTitle

          public java.lang.String getTourStepWizardBindOutputTitle()

      Title for the Bind Output field in the TourStep Wizard.
      Returns:
        Current tourStepWizardBindOutputTitle value. Default value is "Bind Output"
      See Also:
        `HTMLString`

    - #### setTourStepWizardCaseSensitiveTitle

          public Tour setTourStepWizardCaseSensitiveTitle(java.lang.String tourStepWizardCaseSensitiveTitle)
                                                   throws java.lang.IllegalStateException

      Title for the Case Sensitive field in the TourStep Wizard.
      Parameters:
        `tourStepWizardCaseSensitiveTitle` - New tourStepWizardCaseSensitiveTitle value. Default value is "Case Sensitive"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourStepWizardCaseSensitiveTitle

          public java.lang.String getTourStepWizardCaseSensitiveTitle()

      Title for the Case Sensitive field in the TourStep Wizard.
      Returns:
        Current tourStepWizardCaseSensitiveTitle value. Default value is "Case Sensitive"
      See Also:
        `HTMLString`

    - #### setTourStepWizardDoneButtonTitle

          public Tour setTourStepWizardDoneButtonTitle(java.lang.String tourStepWizardDoneButtonTitle)
                                                throws java.lang.IllegalStateException

      Title for the Done button in the TourStep Wizard.
      Parameters:
        `tourStepWizardDoneButtonTitle` - New tourStepWizardDoneButtonTitle value. Default value is "Done"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourStepWizardDoneButtonTitle

          public java.lang.String getTourStepWizardDoneButtonTitle()

      Title for the Done button in the TourStep Wizard.
      Returns:
        Current tourStepWizardDoneButtonTitle value. Default value is "Done"
      See Also:
        `HTMLString`

    - #### setTourStepWizardDropTargetHint

          public Tour setTourStepWizardDropTargetHint(java.lang.String tourStepWizardDropTargetHint)
                                               throws java.lang.IllegalStateException

      Hint for the Drop Target field in the TourStep Wizard.
      Parameters:
        `tourStepWizardDropTargetHint` - New tourStepWizardDropTargetHint value. Default value is "No drop target"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourStepWizardDropTargetHint

          public java.lang.String getTourStepWizardDropTargetHint()

      Hint for the Drop Target field in the TourStep Wizard.
      Returns:
        Current tourStepWizardDropTargetHint value. Default value is "No drop target"
      See Also:
        `HTMLString`

    - #### setTourStepWizardDropTargetNotifyText

          public Tour setTourStepWizardDropTargetNotifyText(java.lang.String tourStepWizardDropTargetNotifyText)
                                                     throws java.lang.IllegalStateException

      Descriptive text displayed in a popup `notification window` when a Drop Target is selected for this TourStep.
      Parameters:
        `tourStepWizardDropTargetNotifyText` - New tourStepWizardDropTargetNotifyText value. Default value is "Shift+Click on the app to record a drop target locator"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourStepWizardDropTargetNotifyText

          public java.lang.String getTourStepWizardDropTargetNotifyText()

      Descriptive text displayed in a popup `notification window` when a Drop Target is selected for this TourStep.
      Returns:
        Current tourStepWizardDropTargetNotifyText value. Default value is "Shift+Click on the app to record a drop target locator"
      See Also:
        `HTMLString`

    - #### setTourStepWizardDropTargetPrompt

          public Tour setTourStepWizardDropTargetPrompt(java.lang.String tourStepWizardDropTargetPrompt)
                                                 throws java.lang.IllegalStateException

      Prompt for the Drop Target field in the TourStep Wizard.
      Parameters:
        `tourStepWizardDropTargetPrompt` - New tourStepWizardDropTargetPrompt value. Default value is "Click icon, then Shift+Click within the application to add a drop target"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourStepWizardDropTargetPrompt

          public java.lang.String getTourStepWizardDropTargetPrompt()

      Prompt for the Drop Target field in the TourStep Wizard.
      Returns:
        Current tourStepWizardDropTargetPrompt value. Default value is "Click icon, then Shift+Click within the application to add a drop target"
      See Also:
        `HTMLString`

    - #### setTourStepWizardDropTargetTitle

          public Tour setTourStepWizardDropTargetTitle(java.lang.String tourStepWizardDropTargetTitle)
                                                throws java.lang.IllegalStateException

      Title for the Drop Target field in the TourStep Wizard.
      Parameters:
        `tourStepWizardDropTargetTitle` - New tourStepWizardDropTargetTitle value. Default value is "Drop Target"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourStepWizardDropTargetTitle

          public java.lang.String getTourStepWizardDropTargetTitle()

      Title for the Drop Target field in the TourStep Wizard.
      Returns:
        Current tourStepWizardDropTargetTitle value. Default value is "Drop Target"
      See Also:
        `HTMLString`

    - #### setTourStepWizardExpectedValueHint

          public Tour setTourStepWizardExpectedValueHint(java.lang.String tourStepWizardExpectedValueHint)
                                                  throws java.lang.IllegalStateException

      Hint for the Expected Value field in the TourStep Wizard.
      Parameters:
        `tourStepWizardExpectedValueHint` - New tourStepWizardExpectedValueHint value. Default value is "Value for the user to enter"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourStepWizardExpectedValueHint

          public java.lang.String getTourStepWizardExpectedValueHint()

      Hint for the Expected Value field in the TourStep Wizard.
      Returns:
        Current tourStepWizardExpectedValueHint value. Default value is "Value for the user to enter"
      See Also:
        `HTMLString`

    - #### setTourStepWizardExpectedValueTitle

          public Tour setTourStepWizardExpectedValueTitle(java.lang.String tourStepWizardExpectedValueTitle)
                                                   throws java.lang.IllegalStateException

      Title for the Expected Value field in the TourStep Wizard.
      Parameters:
        `tourStepWizardExpectedValueTitle` - New tourStepWizardExpectedValueTitle value. Default value is "Expected Value"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourStepWizardExpectedValueTitle

          public java.lang.String getTourStepWizardExpectedValueTitle()

      Title for the Expected Value field in the TourStep Wizard.
      Returns:
        Current tourStepWizardExpectedValueTitle value. Default value is "Expected Value"
      See Also:
        `HTMLString`

    - #### setTourStepWizardInstructionsTitle

          public Tour setTourStepWizardInstructionsTitle(java.lang.String tourStepWizardInstructionsTitle)
                                                  throws java.lang.IllegalStateException

      Title for the Instructions field in the TourStep Wizard.
      Parameters:
        `tourStepWizardInstructionsTitle` - New tourStepWizardInstructionsTitle value. Default value is "Instructions"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourStepWizardInstructionsTitle

          public java.lang.String getTourStepWizardInstructionsTitle()

      Title for the Instructions field in the TourStep Wizard.
      Returns:
        Current tourStepWizardInstructionsTitle value. Default value is "Instructions"
      See Also:
        `HTMLString`

    - #### setTourStepWizardNextStepButtonTitle

          public Tour setTourStepWizardNextStepButtonTitle(java.lang.String tourStepWizardNextStepButtonTitle)
                                                    throws java.lang.IllegalStateException

      Title for the Next Step button in the TourStep Wizard.
      Parameters:
        `tourStepWizardNextStepButtonTitle` - New tourStepWizardNextStepButtonTitle value. Default value is "Next Step"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourStepWizardNextStepButtonTitle

          public java.lang.String getTourStepWizardNextStepButtonTitle()

      Title for the Next Step button in the TourStep Wizard.
      Returns:
        Current tourStepWizardNextStepButtonTitle value. Default value is "Next Step"
      See Also:
        `HTMLString`

    - #### setTourStepWizardNoStepsMessage

          public Tour setTourStepWizardNoStepsMessage(java.lang.String tourStepWizardNoStepsMessage)
                                               throws java.lang.IllegalStateException

      Empty message for the grid in the Tour Wizard when no steps are present.
      Parameters:
        `tourStepWizardNoStepsMessage` - New tourStepWizardNoStepsMessage value. Default value is "No Tour Steps Recorded"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourStepWizardNoStepsMessage

          public java.lang.String getTourStepWizardNoStepsMessage()

      Empty message for the grid in the Tour Wizard when no steps are present.
      Returns:
        Current tourStepWizardNoStepsMessage value. Default value is "No Tour Steps Recorded"
      See Also:
        `HTMLString`

    - #### setTourStepWizardRecordStepHeaderPrompt

          public Tour setTourStepWizardRecordStepHeaderPrompt(java.lang.String tourStepWizardRecordStepHeaderPrompt)
                                                       throws java.lang.IllegalStateException

      Prompt for the Record Step window header in the TourStep Wizard.
      Parameters:
        `tourStepWizardRecordStepHeaderPrompt` - New tourStepWizardRecordStepHeaderPrompt value. Default value is "Drag this window out of the way to get at UI within the application"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourStepWizardRecordStepHeaderPrompt

          public java.lang.String getTourStepWizardRecordStepHeaderPrompt()

      Prompt for the Record Step window header in the TourStep Wizard.
      Returns:
        Current tourStepWizardRecordStepHeaderPrompt value. Default value is "Drag this window out of the way to get at UI within the application"
      See Also:
        `HTMLString`

    - #### setTourStepWizardRecordStepTitle

          public Tour setTourStepWizardRecordStepTitle(java.lang.String tourStepWizardRecordStepTitle)
                                                throws java.lang.IllegalStateException

      Title for the Record Tour Step window in the TourStep Wizard.
      Parameters:
        `tourStepWizardRecordStepTitle` - New tourStepWizardRecordStepTitle value. Default value is "Record Tour Step"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourStepWizardRecordStepTitle

          public java.lang.String getTourStepWizardRecordStepTitle()

      Title for the Record Tour Step window in the TourStep Wizard.
      Returns:
        Current tourStepWizardRecordStepTitle value. Default value is "Record Tour Step"
      See Also:
        `HTMLString`

    - #### setTourStepWizardTargeNotifyText

          public Tour setTourStepWizardTargeNotifyText(java.lang.String tourStepWizardTargeNotifyText)
                                                throws java.lang.IllegalStateException

      Descriptive text displayed in a popup `notification window` when a Target is selected for this TourStep.
      Parameters:
        `tourStepWizardTargeNotifyText` - New tourStepWizardTargeNotifyText value. Default value is "Shift+Click on the app to record a target locator"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourStepWizardTargeNotifyText

          public java.lang.String getTourStepWizardTargeNotifyText()

      Descriptive text displayed in a popup `notification window` when a Target is selected for this TourStep.
      Returns:
        Current tourStepWizardTargeNotifyText value. Default value is "Shift+Click on the app to record a target locator"
      See Also:
        `HTMLString`

    - #### setTourStepWizardTargePrompt

          public Tour setTourStepWizardTargePrompt(java.lang.String tourStepWizardTargePrompt)
                                            throws java.lang.IllegalStateException

      Prompt for the Target field in the TourStep Wizard.
      Parameters:
        `tourStepWizardTargePrompt` - New tourStepWizardTargePrompt value. Default value is "Click icon, then Shift+Click within the application to add a target"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourStepWizardTargePrompt

          public java.lang.String getTourStepWizardTargePrompt()

      Prompt for the Target field in the TourStep Wizard.
      Returns:
        Current tourStepWizardTargePrompt value. Default value is "Click icon, then Shift+Click within the application to add a target"
      See Also:
        `HTMLString`

    - #### setTourStepWizardTargetTitle

          public Tour setTourStepWizardTargetTitle(java.lang.String tourStepWizardTargetTitle)
                                            throws java.lang.IllegalStateException

      Title for the Target field in the TourStep Wizard.
      Parameters:
        `tourStepWizardTargetTitle` - New tourStepWizardTargetTitle value. Default value is "Target"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourStepWizardTargetTitle

          public java.lang.String getTourStepWizardTargetTitle()

      Title for the Target field in the TourStep Wizard.
      Returns:
        Current tourStepWizardTargetTitle value. Default value is "Target"
      See Also:
        `HTMLString`

    - #### setTourStepWizardTitle

          public Tour setTourStepWizardTitle(java.lang.String tourStepWizardTitle)
                                      throws java.lang.IllegalStateException

      Title for the TourStep Title field in the TourStep Wizard.
      Parameters:
        `tourStepWizardTitle` - New tourStepWizardTitle value. Default value is "Title"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourStepWizardTitle

          public java.lang.String getTourStepWizardTitle()

      Title for the TourStep Title field in the TourStep Wizard.
      Returns:
        Current tourStepWizardTitle value. Default value is "Title"
      See Also:
        `HTMLString`

    - #### setTourWizardInteractiveTourTitle

          public Tour setTourWizardInteractiveTourTitle(java.lang.String tourWizardInteractiveTourTitle)
                                                 throws java.lang.IllegalStateException

      Title for the interactive Tutorial option in the Tour Type picker in the Tour Wizard.
      Parameters:
        `tourWizardInteractiveTourTitle` - New tourWizardInteractiveTourTitle value. Default value is "Interactive Tutorial"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourWizardInteractiveTourTitle

          public java.lang.String getTourWizardInteractiveTourTitle()

      Title for the interactive Tutorial option in the Tour Type picker in the Tour Wizard.
      Returns:
        Current tourWizardInteractiveTourTitle value. Default value is "Interactive Tutorial"
      See Also:
        `HTMLString`

    - #### setTourWizardNewScreenPickerTitle

          public Tour setTourWizardNewScreenPickerTitle(java.lang.String tourWizardNewScreenPickerTitle)
                                                 throws java.lang.IllegalStateException

      Title for the Start with New Screen picker in the Tour Wizard.
      Parameters:
        `tourWizardNewScreenPickerTitle` - New tourWizardNewScreenPickerTitle value. Default value is "Start With New Screen"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourWizardNewScreenPickerTitle

          public java.lang.String getTourWizardNewScreenPickerTitle()

      Title for the Start with New Screen picker in the Tour Wizard.
      Returns:
        Current tourWizardNewScreenPickerTitle value. Default value is "Start With New Screen"
      See Also:
        `HTMLString`

    - #### setTourWizardRecordButtonTitle

          public Tour setTourWizardRecordButtonTitle(java.lang.String tourWizardRecordButtonTitle)
                                              throws java.lang.IllegalStateException

      Title for the Record Tour button in the Tour Wizard.
      Parameters:
        `tourWizardRecordButtonTitle` - New tourWizardRecordButtonTitle value. Default value is "Record Tour"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourWizardRecordButtonTitle

          public java.lang.String getTourWizardRecordButtonTitle()

      Title for the Record Tour button in the Tour Wizard.
      Returns:
        Current tourWizardRecordButtonTitle value. Default value is "Record Tour"
      See Also:
        `HTMLString`

    - #### setTourWizardReifyTourTitle

          public Tour setTourWizardReifyTourTitle(java.lang.String tourWizardReifyTourTitle)
                                           throws java.lang.IllegalStateException

      Title for the Reify Tutorial option in the Tour Type picker in the Tour Wizard.
      Parameters:
        `tourWizardReifyTourTitle` - New tourWizardReifyTourTitle value. Default value is "Reify Tutorial"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourWizardReifyTourTitle

          public java.lang.String getTourWizardReifyTourTitle()

      Title for the Reify Tutorial option in the Tour Type picker in the Tour Wizard.
      Returns:
        Current tourWizardReifyTourTitle value. Default value is "Reify Tutorial"
      See Also:
        `HTMLString`

    - #### setTourWizardRequiredDataSourcesHint

          public Tour setTourWizardRequiredDataSourcesHint(java.lang.String tourWizardRequiredDataSourcesHint)
                                                    throws java.lang.IllegalStateException

      Hint text for the Required DataSources item in the Tour Wizard.
      Parameters:
        `tourWizardRequiredDataSourcesHint` - New tourWizardRequiredDataSourcesHint value. Default value is "Comma separated list of required DS's"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourWizardRequiredDataSourcesHint

          public java.lang.String getTourWizardRequiredDataSourcesHint()

      Hint text for the Required DataSources item in the Tour Wizard.
      Returns:
        Current tourWizardRequiredDataSourcesHint value. Default value is "Comma separated list of required DS's"
      See Also:
        `HTMLString`

    - #### setTourWizardRequiredDataSourcesTitle

          public Tour setTourWizardRequiredDataSourcesTitle(java.lang.String tourWizardRequiredDataSourcesTitle)
                                                     throws java.lang.IllegalStateException

      Title for the Required DataSources item in the Tour Wizard.
      Parameters:
        `tourWizardRequiredDataSourcesTitle` - New tourWizardRequiredDataSourcesTitle value. Default value is "Required DataSources"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourWizardRequiredDataSourcesTitle

          public java.lang.String getTourWizardRequiredDataSourcesTitle()

      Title for the Required DataSources item in the Tour Wizard.
      Returns:
        Current tourWizardRequiredDataSourcesTitle value. Default value is "Required DataSources"
      See Also:
        `HTMLString`

    - #### setTourWizardShowProgressTitle

          public Tour setTourWizardShowProgressTitle(java.lang.String tourWizardShowProgressTitle)
                                              throws java.lang.IllegalStateException

      Title for the Show Progress picker in the Tour Wizard.
      Parameters:
        `tourWizardShowProgressTitle` - New tourWizardShowProgressTitle value. Default value is "Show Progress"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourWizardShowProgressTitle

          public java.lang.String getTourWizardShowProgressTitle()

      Title for the Show Progress picker in the Tour Wizard.
      Returns:
        Current tourWizardShowProgressTitle value. Default value is "Show Progress"
      See Also:
        `HTMLString`

    - #### setTourWizardTitle

          public Tour setTourWizardTitle(java.lang.String tourWizardTitle)
                                  throws java.lang.IllegalStateException

      Title for the Tour Wizard.
      Parameters:
        `tourWizardTitle` - New tourWizardTitle value. Default value is "New Tour Configuration"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourWizardTitle

          public java.lang.String getTourWizardTitle()

      Title for the Tour Wizard.
      Returns:
        Current tourWizardTitle value. Default value is "New Tour Configuration"
      See Also:
        `HTMLString`

    - #### setTourWizardTourTypeTitle

          public Tour setTourWizardTourTypeTitle(java.lang.String tourWizardTourTypeTitle)
                                          throws java.lang.IllegalStateException

      Title for the Tour Type picker in the Tour Wizard.
      Parameters:
        `tourWizardTourTypeTitle` - New tourWizardTourTypeTitle value. Default value is "Tour Type"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourWizardTourTypeTitle

          public java.lang.String getTourWizardTourTypeTitle()

      Title for the Tour Type picker in the Tour Wizard.
      Returns:
        Current tourWizardTourTypeTitle value. Default value is "Tour Type"
      See Also:
        `HTMLString`

    - #### setTourWizardUITourTitle

          public Tour setTourWizardUITourTitle(java.lang.String tourWizardUITourTitle)
                                        throws java.lang.IllegalStateException

      Title for the non-interactive UI Tour option in the Tour Type picker in the Tour Wizard.
      Parameters:
        `tourWizardUITourTitle` - New tourWizardUITourTitle value. Default value is "UI Tour (Non Interactive)"
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `HTMLString`

    - #### getTourWizardUITourTitle

          public java.lang.String getTourWizardUITourTitle()

      Title for the non-interactive UI Tour option in the Tour Type picker in the Tour Wizard.
      Returns:
        Current tourWizardUITourTitle value. Default value is "UI Tour (Non Interactive)"
      See Also:
        `HTMLString`

    - #### setWindowDefaults

          public Tour setWindowDefaults(Canvas windowDefaults)
                                 throws java.lang.IllegalStateException

      Defaults for each `TourStep.targetView` autoChild in the tour. These defaults are applied before `TourStep.windowDefaults` if any.
      Parameters:
        `windowDefaults` - New windowDefaults value. Default value is {...}
      Returns:
        `Tour` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created
      See Also:
        `SGWTProperties`

    - #### getWindowDefaults

          public Canvas getWindowDefaults()

      Defaults for each `TourStep.targetView` autoChild in the tour. These defaults are applied before `TourStep.windowDefaults` if any.
      Returns:
        Current windowDefaults value. Default value is {...}

    - #### notifyValidationMessage

          public void notifyValidationMessage(java.lang.String message)

      Notify user of expected value entry validation message. Default implementation uses the `Notify system` to show the message in it's default position. See `notifyType` for notification configuration details.

      Parameters:
        `message` - message provided by `TourStep.inputValidationNotifyMessage`

    - #### getTour

          public static Tour getTour(java.lang.String tourId)

      Get a Tour instance by it's ID.
      Parameters:
        `tourId` - tour ID to retrieve. See `Identifier`
      Returns:
        the tour, or null if not defined
      See Also:
        `Identifier`

    - #### loadTour

          public static void loadTour(java.lang.String tourId,
                                      ProcessCallback callback)

      Loads an XML tour definition stored in XML from the server.

      Tour files are stored as .proc.xml files in `Component XML` format, in the directory indicated by the `project.processes` setting in `server.properties` (`webroot/processes` by default). To load a tour saved in a file tourId.proc.xml, pass just tourId to this method.

      Parameters:
        `tourId` - tour ID or IDs to load. See `Identifier`
        `callback` - called when the tour is loaded with argument "process", the first tour. Other tours can be looked up via `getTour()`.